local load_EventFrame = CreateFrame("Frame")
load_EventFrame:RegisterEvent("PLAYER_MONEY")
load_EventFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
load_EventFrame:SetScript("OnEvent",
    function(self, event, ...) --thanks Egingell! http://wowwiki.wikia.com/wiki/User:Egingell/PLAYER_MONEY
		local tmpMoney = GetMoney()
		if self.CurrentMoney then
			self.DiffMoney = tmpMoney - self.CurrentMoney
		else
			self.DiffMoney = 0
		end
		self.CurrentMoney = tmpMoney
		if self.DiffMoney >= 5000000 then --500 gold
			PlaySoundFile("Interface\\AddOns\\LevelBuddy\\award.ogg")
		end
	end)

-- coooooooooool